View Issue Details

IDProjectCategoryView StatusLast Update
0025952Open CASCADEOCCT:Modeling Algorithmspublic2019-10-25 14:11
ReporterpkvAssigned Tomsv  
PrioritynormalSeverityminor 
Status assignedResolutionopen 
Product Version6.9.0 
Target VersionUnscheduled 
Summary0025952: Modeling Algorithms - Wrong intersection curve
DescriptionAfter the fix to the bug #0025951, wrong curve has been obtained as result of intersection algorithm (see "wrong curve.png" file).

Before fix #0025951, the intersection algorithm returned exception. It was worse, than current behavior.
Steps To Reproduce# Use the following DRAW commands to reproduce the problem:
restore qff002 q
explode q
copy q_1 b1
copy q_2 b2
mksurface s1 b1
mksurface s2 b2

intersect i s1 s2
#i (wrong curve)

bopcur b1 b2
# has no 3d curve
TagsNo tags attached.
Test case numberlowalgos intss bug25952_1, bug25952_2, bug25952_3

Attached Files

  • qff002 (53,436 bytes)
  • wrong curve.PNG (65,567 bytes)

Activities

pkv

2015-03-17 12:40

developer  

qff002 (53,436 bytes)

nbv

2015-03-17 15:47

developer  

wrong curve.PNG (65,567 bytes)

git

2018-11-09 18:04

administrator   ~0081010

Branch CR25952 has been created by nbv.

SHA-1: 627642173a6ca7fc005bd44e01640600cae7ed49


Detailed log of new commits:

Author: nbv
Date: Fri Nov 9 18:00:46 2018 +0300

    Test for 0025952: Wrong intersection curve
    
    Test cases for the issue have been created.

git

2018-11-12 09:51

administrator   ~0081051

Branch CR25952 has been updated forcibly by nbv.

SHA-1: f7c951aee45a587f8cf186bf6a059177cfbf5086

nbv

2018-11-12 10:01

developer   ~0081052

Dear Mikhail,

Please review the branch CR25952.

Test results: http://jenkins-test-12.nnov.opencascade.com/view/CR25952-master_NBV/

1. Only test cases are integrated.

2. The bug is still reproduced on Master version. So, it shall be kept open.

msv

2018-11-12 10:16

developer   ~0081054

Reviewed.
Please leave the bug open after integration.

Related Changesets

occt: master 9d083161

2018-11-09 15:00:46

nbv


Committer: apn Details Diff
0025952: Wrong intersection curve

Test cases for the issue have been created.
Affected Issues
0025952
mod - tests/lowalgos/intss/begin Diff File
add - tests/lowalgos/intss/bug25952_1 Diff File
add - tests/lowalgos/intss/bug25952_2 Diff File
add - tests/lowalgos/intss/bug25952_3 Diff File

Issue History

Date Modified Username Field Change
2015-03-17 12:40 pkv New Issue
2015-03-17 12:40 pkv Assigned To => msv
2015-03-17 12:40 pkv File Added: qff002
2015-03-17 12:40 pkv Status new => assigned
2015-03-17 12:42 msv Assigned To msv => nbv
2015-03-17 15:46 nbv Summary Exception in intersection operation. => Wrong intersection curve
2015-03-17 15:46 nbv Description Updated
2015-03-17 15:47 nbv File Added: wrong curve.PNG
2015-03-17 15:49 nbv Steps to Reproduce Updated
2015-03-17 17:50 nbv Description Updated
2015-04-17 00:02 abv Target Version 6.9.0 => 7.1.0
2016-10-25 19:04 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:08 msv Target Version 7.3.0 => 7.4.0
2018-11-09 18:04 git Note Added: 0081010
2018-11-12 09:51 git Note Added: 0081051
2018-11-12 10:01 nbv Note Added: 0081052
2018-11-12 10:01 nbv Assigned To nbv => msv
2018-11-12 10:01 nbv Status assigned => resolved
2018-11-12 10:16 msv Note Added: 0081054
2018-11-12 10:16 msv Assigned To msv => bugmaster
2018-11-12 10:16 msv Status resolved => reviewed
2018-11-12 18:18 apn Test case number => lowalgos intss bug25952_1, bug25952_2, bug25952_3
2018-11-18 03:30 apn Changeset attached => occt master 9d083161
2018-11-18 03:30 apn Assigned To bugmaster => apn
2018-11-18 03:30 apn Status reviewed => verified
2018-11-18 03:30 apn Resolution open => fixed
2018-11-18 03:33 apn Status verified => closed
2018-11-18 03:33 apn Assigned To apn => nbv
2018-11-18 03:33 apn Status closed => assigned
2018-11-18 03:33 apn Resolution fixed => open
2019-08-12 19:02 msv Assigned To nbv =>
2019-08-12 19:02 msv Target Version 7.4.0 => Unscheduled
2019-09-04 12:13 kgv Summary Wrong intersection curve => Modeling Algorithms - Wrong intersection curve
2019-10-25 14:11 abv Assigned To => msv